Comment
Operations
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CommentLocatorintegerOptional
Responses
200
Successful operation.
application/json
post/getComment
POST /nexum/627/2022.01/account/getComment HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 185
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"CommentLocator": 223,
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"Comment": {
"Locator": 223,
"Type": 1,
"Text": "UPDATED COMMENT TEXT",
"EffectiveDate": "2025-09-08",
"ExpirationDate": "2025-09-08",
"RecordChangeDate": "2010-05-08"
},
"MessageId": "getComment"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CommentLocatorintegerOptional
Responses
200
Successful operation.
application/json
post/getCommentSelectFields
POST /nexum/627/2022.01/account/getCommentSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 362
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"CommentLocator": 223,
"SelectableFields": {
"IncludeAllCommentFields": false,
"CommentFields": {
"Locator": true,
"Type": true,
"Text": true,
"EffectiveDate": true,
"ExpirationDate": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"Comment": {
"Locator": 223,
"Type": 1,
"Text": "UPDATED COMMENT TEXT",
"EffectiveDate": "2025-09-08",
"ExpirationDate": "2025-09-08",
"RecordChangeDate": "2010-05-08"
},
"MessageId": "getCommentSelectFields"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200
Successful operation.
application/json
TokenstringOptional
post/getCommentPagedList
POST /nexum/627/2022.01/account/getCommentPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 243
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 5,
"NumberOfRecordsToSkip": 0
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"Comment": [
{
"Locator": 223,
"Type": 1,
"Text": "UPDATED COMMENT TEXT",
"EffectiveDate": "2025-09-08",
"ExpirationDate": "2025-09-08",
"RecordChangeDate": "2010-05-08"
}
],
"Token": null,
"MessageId": "getCommentPagedList"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200
Successful operation.
application/json
post/getCommentListSelectFields
POST /nexum/627/2022.01/account/getCommentListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 317
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"SelectableFields": {
"IncludeAllCommentFields": false,
"CommentFields": {
"Locator": true,
"Type": true,
"Text": true,
"EffectiveDate": true,
"ExpirationDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"CommentList": {
"hasReachedMaximumListSize": false,
"Comment": [
{
"Locator": 223,
"Type": 1,
"Text": "UPDATED COMMENT TEXT",
"EffectiveDate": "2025-09-08",
"ExpirationDate": "2025-09-08"
}
]
},
"MessageId": "getCommentListSelectFields"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200
Successful operation.
application/json
post/searchCommentSelectFields
POST /nexum/627/2022.01/account/searchCommentSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 356
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"SearchFilter": {
"Query": "LOCATOR=223"
},
"SelectableFields": {
"IncludeAllCommentFields": false,
"CommentFields": {
"Locator": true,
"Type": true,
"Text": true,
"EffectiveDate": true,
"ExpirationDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"CommentList": {
"hasReachedMaximumListSize": false,
"Comment": [
{
"Locator": 223,
"Type": 1,
"Text": "UPDATED COMMENT TEXT",
"EffectiveDate": "2025-09-08",
"ExpirationDate": "2025-09-08"
}
]
},
"MessageId": "searchCommentSelectFields"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200
Successful operation.
application/json
TokenstringOptional
post/getCommentPagedListSelectFields
POST /nexum/627/2022.01/account/getCommentPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 420
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 5,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllCommentFields": false,
"CommentFields": {
"Locator": true,
"Type": true,
"Text": true,
"EffectiveDate": true,
"ExpirationDate": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"Comment": [
{
"Locator": 223,
"Type": 1,
"Text": "UPDATED COMMENT TEXT",
"EffectiveDate": "2025-09-08",
"ExpirationDate": "2025-09-08",
"RecordChangeDate": "2010-05-08"
}
],
"Token": null,
"MessageId": "getCommentPagedListSelectFields"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
QuerystringOptional
Responses
200
Successful operation.
application/json
TokenstringOptional
post/searchCommentPagedSelectFields
POST /nexum/627/2022.01/account/searchCommentPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 442
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"Query": "LOCATOR=223",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 5,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllCommentFields": false,
"CommentFields": {
"Locator": true,
"Type": true,
"Text": true,
"EffectiveDate": true,
"ExpirationDate": true,
"RecordChangeDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"Comment": [
{
"Locator": 223,
"Type": 1,
"Text": "UPDATED COMMENT TEXT",
"EffectiveDate": "2025-09-08",
"ExpirationDate": "2025-09-08",
"RecordChangeDate": "2010-05-08"
}
],
"Token": null,
"MessageId": "searchCommentPagedSelectFields"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
CommentLocatorintegerOptional
AccountNumberstringOptional
Responses
200
Successful operation.
application/json
post/updateCommentByID
POST /nexum/627/2022.01/account/updateCommentByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 260
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"CommentLocator": 266,
"CommentUpdatableFields": {
"Text": "NEXUM W4 2022 COMMENT UPDATED",
"Type": 0
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"UpdateStatus": {
"isAllFieldsUpdateSuccess": true,
"FailedUpdateStatus": []
},
"MessageId": "updateCommentByID"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200
Successful operation.
application/json
CommentLocatorintegerOptional
post/createComment
POST /nexum/627/2022.01/account/createComment HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 246
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"CommentCreatableFields": {
"Text": "NEXUM WAVE 4 2022 VALIDATION COMMENT",
"Type": 0
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"CommentLocator": 266,
"MessageId": "createComment"
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CommentLocatorintegerOptional
Responses
200
Successful operation.
application/json
nxAttributesobjectOptional
The custom object for NexumAPI response attributes.
post/deleteComment
POST /nexum/627/2022.01/account/deleteComment HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 185
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"AccountNumber": "0000013824",
"CommentLocator": 266,
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"MessageId": "deleteComment"
}Last updated
Was this helpful?